org.apache.synapse.format.syslog

## Class SyslogConstants

- java.lang.Object
- - org.apache.synapse.format.syslog.SyslogConstants

-     public class SyslogConstants
      extends java.lang.Object

  Class defining constants for the syslog protocol.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FACILITY` Name of the attribute storing the facility of a syslog event.
    `static javax.xml.namespace.QName` | `MESSAGE` Qualified name of the root element of the XML representation of a syslog event.
    `static java.lang.String` | `NAMESPACE_URI` The namespace used in the XML representation of a syslog event.
    `static java.lang.String` | `PID` Name of the attribute storing the process ID of a syslog event;
    `static java.lang.String` | `SEVERITY` Name of the attribute storing the severity of a syslog event.
    `static java.lang.String` | `TAG` Name of the attribute storing the tag of a syslog event.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE_URI

          public static final java.lang.String NAMESPACE_URI

      The namespace used in the XML representation of a syslog event.
      See Also:
        Constant Field Values

    - #### MESSAGE

          public static final javax.xml.namespace.QName MESSAGE

      Qualified name of the root element of the XML representation of a syslog event.

    - #### FACILITY

          public static final java.lang.String FACILITY

      Name of the attribute storing the facility of a syslog event.
      See Also:
        Constant Field Values

    - #### SEVERITY

          public static final java.lang.String SEVERITY

      Name of the attribute storing the severity of a syslog event.
      See Also:
        Constant Field Values

    - #### TAG

          public static final java.lang.String TAG

      Name of the attribute storing the tag of a syslog event.
      See Also:
        Constant Field Values

    - #### PID

          public static final java.lang.String PID

      Name of the attribute storing the process ID of a syslog event;
      See Also:
        Constant Field Values

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.